type MiddlewareOptions = false | {
  only?: 'guest' | 'user'
  redirectUserTo?: string | import('vue-router').RouteLocationRaw
  redirectGuestTo?: string | import('vue-router').RouteLocationRaw
}

declare module '#app' {
  interface PageMeta {
    auth?: MiddlewareOptions
  }
}

declare module 'vue-router' {
  interface RouteMeta {
    auth?: MiddlewareOptions
  }
}
